Index: tmp/org.txm.queryindex.rcp/src/org/txm/rcp/commands/link/QueryIndexToLexicalTable.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/rcp/commands/link/QueryIndexToLexicalTable.java	(revision 0)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/rcp/commands/link/QueryIndexToLexicalTable.java	(revision 673)
@@ -0,0 +1,138 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.commands.link;
+
+import java.util.ArrayList;
+
+import org.apache.batik.util.gui.CSSMediaPanel.Dialog;
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.ArrayContentProvider;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.jface.viewers.LabelProvider;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.IWorkbenchWindow;
+import org.eclipse.ui.dialogs.ListSelectionDialog;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.functions.queryindex.QueryIndex;
+import org.txm.lexicaltable.core.functions.LexicalTable;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.StatusLine;
+import org.txm.searchengine.cqp.corpus.Partition;
+import org.txm.searchengine.cqp.corpus.Property;
+// TODO: Auto-generated Javadoc
+/**
+ * The Class IndexToLexicalTable.
+ */
+public class QueryIndexToLexicalTable extends AbstractHandler {
+
+	/** The window. */
+	private IWorkbenchWindow window;
+	
+	/** The selection. */
+	private IStructuredSelection selection;
+	private static Shell shell;
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		// TODO Auto-generated method stub
+		window = HandlerUtil.getActiveWorkbenchWindow(event);
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
+		.getShell();
+		return null;
+	}
+
+	/**
+	 * Builds the lexical table.
+	 *
+	 * @param qindex the voc
+	 * @param from the from
+	 * @param to the to
+	 * @return true, if successful
+	 */
+	public boolean buildLexicalTable(QueryIndex qindex, int from, int to) {
+		LexicalTable table;
+		Partition partition;
+		Property property;
+
+		if (!qindex.isComputedWithPartition()) {
+			
+			System.out.println(RCPMessages.IndexToLexicalTable_0);
+			StatusLine.setMessage(RCPMessages.IndexToLexicalTable_0);
+			return false;
+		}
+
+		System.out.println(RCPMessages.ComputeLexicalTable_3);
+		ArrayList<String> choices = new ArrayList<String>();
+		choices.add(RCPMessages.ComputeLexicalTable_16);
+		choices.add(RCPMessages.ComputeLexicalTable_12);
+		ListSelectionDialog dialog = new ListSelectionDialog(shell, 
+				choices, new ArrayContentProvider(), new LabelProvider(), 
+				RCPMessages.ComputeLexicalTable_13);
+		
+		int ret = dialog.open();
+		//System.out.println("ret= "+ret);
+		if (ret == Dialog.OK_OPTION) {
+			
+		} else {
+			return false;
+		}
+		
+		// TODO: fix line 119
+//		try {
+//			table = LexicalTableImpl.createLexicalTableImpl(voc, QuantitativeDataStructureImpl
+//					.createSymbole(LexicalTableImpl.class));
+//			partition = voc.getPartition();
+//			property = voc.getCorpus().getProperties().get(0);
+//		} catch (Exception e) {
+//			org.txm.rcp.utils.Logger.printStackTrace(e);
+//			return false;
+//		}
+//
+//		try {
+//			IWorkbenchWindow window = PlatformUI.getWorkbench()
+//					.getActiveWorkbenchWindow();
+//			IWorkbenchPage page = window.getActivePage();
+//			LexicalTableEditorInput editorInput = new LexicalTableEditorInput(
+//					table, partition, property);
+//			StatusLine.setMessage(RCPMessages.ComputeLexicalTable_10);
+//			page
+//					.openEditor(editorInput,
+//							"org.txm.rcp.editors.lexicaltable.LexicalTableEditor"); //$NON-NLS-1$
+//		} catch (PartInitException e) {
+//			org.txm.rcp.utils.Logger.printStackTrace(e);
+//		} 
+
+		return false;
+	}
+
+}

Index: tmp/org.txm.queryindex.rcp/src/org/txm/rcp/commands/function/ComputeQueryIndex.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/rcp/commands/function/ComputeQueryIndex.java	(revision 0)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/rcp/commands/function/ComputeQueryIndex.java	(revision 673)
@@ -0,0 +1,104 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.commands.function;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.index.rcp.messages.IndexUIMessages;
+import org.txm.rcp.StatusLine;
+import org.txm.rcp.TXMWindows;
+import org.txm.rcp.editors.input.QueryIndexEditorInput;
+import org.txm.rcp.editors.queryindex.QueryIndexEditor;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Partition;
+import org.txm.utils.logger.Log;
+// TODO: Auto-generated Javadoc
+/**
+ * open the Index Editor 
+ * @author mdecorde.
+ */
+public class ComputeQueryIndex extends AbstractHandler {
+
+	/** The ID. */
+	public static String ID = "org.txm.rcp.commands.function.ComputeQueryIndex"; //$NON-NLS-1$
+
+	/** The selection. */
+	private IStructuredSelection selection;
+	
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		Log.info("Compute QueryIndex: start");
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		Object s = selection.getFirstElement();
+		if (s instanceof Corpus) {
+			final Corpus corpus = (Corpus) s;
+			openEditor(corpus);
+		} else if (s instanceof Partition) {
+			final Partition partition = (Partition) s;
+			openEditor(partition);
+		} else {
+			Log.severe("Can not compute QueryIndex with: "+s);
+		}
+
+		return null;
+	}
+	
+	public static void openEditor(Corpus corpus) {
+		IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
+		QueryIndexEditorInput editorInput = new QueryIndexEditorInput(corpus);
+		try {
+			StatusLine.setMessage(IndexUIMessages.ComputeIndex_0);
+			QueryIndexEditor voceditor = (QueryIndexEditor) page
+					.openEditor(editorInput,QueryIndexEditor.ID);
+			voceditor.initializeFields();
+		} catch (Exception e) {
+			Log.printStackTrace(e);
+		}
+	}
+	
+	public static void openEditor(Partition partition) {
+		IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
+		QueryIndexEditorInput editorInput = new QueryIndexEditorInput(partition);
+		try {
+			StatusLine.setMessage(IndexUIMessages.ComputeIndex_0);
+			QueryIndexEditor voceditor = (QueryIndexEditor) page
+					.openEditor(editorInput, QueryIndexEditor.ID);
+			voceditor.initializeFields();
+		} catch (Exception e) {
+			Log.printStackTrace(e);
+		}
+	}
+}

Index: tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 672)
+++ tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 673)
@@ -18,10 +18,10 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.functions.queryindex,
- org.txm.rcpapplication.commands.function;x-friends:="org.txm.rcpapplication,org.txm.toolbox",
- org.txm.rcpapplication.commands.link,
- org.txm.rcpapplication.editors.input,
- org.txm.rcpapplication.editors.queryindex,
+ org.txm.rcp.commands.function,
+ org.txm.rcp.commands.link,
+ org.txm.rcp.editors.input,
+ org.txm.rcp.editors.queryindex,
  queryindexrcp,
  queryindexrcp.actions,
  queryindexrcp.adapters
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette1.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette1.java	(revision 672)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette1.java	(revision 673)
@@ -51,7 +51,7 @@
  */
 public class ComputeRecette1 extends AbstractHandler {
 
-	public static final String ID = "org.txm.rcpapplication.commands.function.ComputeTSIndex"; //$NON-NLS-1$
+	public static final String ID = "org.txm.rcp.commands.function.ComputeTSIndex"; //$NON-NLS-1$
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette2.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette2.java	(revision 672)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette2.java	(revision 673)
@@ -56,7 +56,7 @@
  */
 public class ComputeRecette2 extends AbstractHandler {
 
-	public static final String ID = "org.txm.rcpapplication.commands.function.ComputeTSIndex"; //$NON-NLS-1$
+	public static final String ID = "org.txm.rcp.commands.function.ComputeTSIndex"; //$NON-NLS-1$
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeTSIndex.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeTSIndex.java	(revision 672)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeTSIndex.java	(revision 673)
@@ -51,7 +51,7 @@
  */
 public class ComputeTSIndex extends AbstractHandler {
 
-	public static final String ID = "org.txm.rcpapplication.commands.function.ComputeTSIndex"; //$NON-NLS-1$
+	public static final String ID = "org.txm.rcp.commands.function.ComputeTSIndex"; //$NON-NLS-1$
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeTIGERSearch.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeTIGERSearch.java	(revision 672)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeTIGERSearch.java	(revision 673)
@@ -49,7 +49,7 @@
 public class ComputeTIGERSearch extends AbstractHandler {
 
 	/** The ID. */
-	public static String ID = "org.txm.rcpapplication.commands.function.ComputeTIGERSearch"; //$NON-NLS-1$
+	public static String ID = "org.txm.rcp.commands.function.ComputeTIGERSearch"; //$NON-NLS-1$
 
 	/** The selection. */
 	private IStructuredSelection selection;
Index: tmp/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF	(revision 672)
+++ tmp/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF	(revision 673)
@@ -17,5 +17,5 @@
 Bundle-ActivationPolicy: lazy
 Export-Package: cql2lsarcp,
  org.txm.functions.cql2lsa,
- org.txm.rcpapplication.commands.function
+ org.txm.rcp.commands.function
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpI.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpI.java	(revision 0)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpI.java	(revision 673)
@@ -0,0 +1,214 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.commands.function;
+
+import java.io.File;
+import java.io.FileOutputStream;
+import java.io.IOException;
+import java.io.OutputStreamWriter;
+import java.util.Collection;
+import java.util.List;
+
+import org.apache.commons.lang.StringUtils;
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.widgets.FileDialog;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.preferences.TBXPreferences;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.functions.cql2lsa.ExpI;
+import org.txm.functions.cql2lsa.QueryIndexLine;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.swt.dialog.LastOpened;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.utils.logger.Log;
+// TODO: Auto-generated Javadoc
+/**
+ * open the Index Editor 
+ * @author mdecorde.
+ */
+public class ComputeExpI extends AbstractHandler {
+
+	/** The ID. */
+	public static String ID = "org.txm.rcp.commands.function.ComputeQueryIndexOfTexts"; //$NON-NLS-1$
+
+	/** The selection. */
+	private IStructuredSelection selection;
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		Log.info("Compute QueryIndexOfTexts: start");
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		Object s = selection.getFirstElement();
+		if (s instanceof Corpus) {
+			Corpus corpus = (Corpus) s;
+			try {
+				File propFile = null;
+				if (LastOpened.getFile(ID) != null)
+					propFile = new File(LastOpened.getFolder(ID));
+
+				FileDialog dialog = new FileDialog(HandlerUtil.getActiveShell(event), SWT.OPEN);
+				String[] exts = { "*.properties" }; //$NON-NLS
+				dialog.setFilterExtensions(exts);
+				if (propFile != null) {
+					dialog.setFilterPath(propFile.getParent());
+					dialog.setFileName(propFile.getName());
+				}
+				String path = dialog.open();
+				if (path != null) {
+					compute(corpus, new File(path));
+				}
+			} catch(Exception e) {
+				e.printStackTrace();
+			}
+		} else {
+			System.out.println ("Can not compute QueryIndexOfTexts with: "+s);
+		}
+
+		return null;
+	}
+
+	public static void compute(final Corpus corpus, final File propFile) {
+		final String title = "Compute QueryIndexOfText with "+corpus +" corpus properties file: "+propFile;
+		JobHandler jobhandler = new JobHandler(title) {
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				JobsTimer.start();
+				try {
+					System.out.println(title);
+					this.runInit(monitor);
+					
+					monitor.beginTask("Counting", 100);
+					
+					ExpI qiot = new ExpI(corpus);
+					qiot.setCurrentMonitor(this);
+					qiot.addLinesFromFile(propFile);
+
+					//					qiot.addLine("je", new Query("[word=\"je\"]"));
+					//					qiot.addLine("tu", new Query("[word=\"tu\"]"));
+					//					qiot.addLine("il", new Query("[word=\"il\"]"));
+					//					qiot.addLine("elle", new Query("[word=\"elle\"]"));
+					//					qiot.addLine("on", new Query("[word=\"on\"]"));
+					//					qiot.addLine("nous", new Query("[word=\"nous\"]"));
+					//					qiot.addLine("vous", new Query("[word=\"vous\"]"));
+					//					qiot.addLine("ils", new Query("[word=\"ils\"]"));
+					//					qiot.addLine("elles", new Query("[word=\"elles\"]"));
+					//					qiot.addLine("celui", new Query("[word=\"celui\"]"));
+					//					qiot.addLine("celle", new Query("[word=\"celle\"]"));
+					//					qiot.addLine("ceux", new Query("[word=\"ceux\"]"));
+					//					qiot.addLine("celles", new Query("[word=\"celles\"]"));
+					//					qiot.addLine("eux", new Query("[word=\"eux\"]"));
+					// "je|tu|il|elle|on|nous|vous|ils|elles|celui|celle|ceux|celles|eux"
+
+					File resultDir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "results");
+					
+					writingLDAFiles(resultDir, qiot, monitor);
+				} catch (Exception e) {
+					System.out.println("Error while computing: "+e);
+					Log.printStackTrace(e);
+					return Status.CANCEL_STATUS;
+				}
+				JobsTimer.stopAndPrint();
+				return Status.OK_STATUS;
+			}
+		};
+		jobhandler.schedule();
+	}
+
+	public static void writingLDAFiles(File resultDir, ExpI qiot, IProgressMonitor monitor) throws IOException {
+		File resultFile = new File(resultDir, "doc_word_freq.txt");
+		File lexiqueFile = new File(resultDir, "lexique.txt");
+		StringBuffer buffer = new StringBuffer();
+		OutputStreamWriter output = new OutputStreamWriter(new FileOutputStream(resultFile) , "UTF-8"); //$NON-NLS-1$
+		
+		monitor.beginTask("Writing 'doc_word_freq.txt'", 100000);
+		
+		Collection<QueryIndexLine> lines = qiot.getLines();
+		
+		List<String> texts = qiot.getTextNames();
+		//System.out.println("texts: "+texts.size());
+		int delta = 100000 / texts.size();
+		for (int i = 0 ; i < texts.size() ; i++) {
+			int noDoc = i+1;
+			int noLine = 1;
+			for (QueryIndexLine line : lines) {
+				int f = line.getFreqs()[i];
+				if (f > 0)
+					buffer.append(""+noDoc+"\t"+noLine+"\t"+f+"\n");
+				noLine++;
+			}
+			
+			monitor.worked(delta);
+		}
+		
+		output.write(buffer.toString());
+		output.flush();
+		output.close();
+		
+		output = new OutputStreamWriter(new FileOutputStream(lexiqueFile) , "UTF-8"); //$NON-NLS-1$
+		for (QueryIndexLine line : lines) {
+			output.write(line.getName()+"\n");
+		}
+		output.close();
+		System.out.println("Result saved in "+resultFile+" and "+lexiqueFile);
+	}
+	
+	public static void writingMatrix(File resultDir, ExpI qiot, IProgressMonitor monitor) throws IOException {
+		File resultFile = new File(resultDir, "counts.csv");
+		OutputStreamWriter output = new OutputStreamWriter(new FileOutputStream(resultFile) , "UTF-8"); //$NON-NLS-1$
+		
+		monitor.beginTask("Writing Matrix", 100);
+		
+		Collection<QueryIndexLine> lines = qiot.getLines();
+		int delta = 1000 / lines.size();
+		//System.out.println("Number of lines: "+lines.size());
+		
+		output.write("Name\tQuery\tF\t"+StringUtils.join(qiot.getTextNames(), "\t")+"\n");
+		for (QueryIndexLine line : lines) {
+			String str = "";
+			for (int f : line.getFreqs()) str+="\t"+f;
+
+			output.write(line.getName()+"\t"+line.getQuery()+"\t"+line.getFrequency()+str+"\n");
+			output.flush();
+			monitor.worked(delta);
+		}
+		output.close();
+		System.out.println("Result saved in "+resultFile);
+	}
+}

Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeValuesOfQuery.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeValuesOfQuery.java	(revision 0)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeValuesOfQuery.java	(revision 673)
@@ -0,0 +1,191 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.commands.function;
+
+import java.io.File;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.swt.widgets.Spinner;
+import org.eclipse.swt.widgets.Text;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.functions.cql2lsa.ValuesOfQuery;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.swt.widget.AssistedQueryWidget;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.utils.logger.Log;
+
+/**
+ * write result in file
+ * @author mdecorde.
+ */
+public class ComputeValuesOfQuery extends AbstractHandler {
+
+	/** The ID. */
+	public static String ID = "org.txm.rcp.commands.function.ComputeQueryIndex"; //$NON-NLS-1$
+
+	/** The selection. */
+	private IStructuredSelection selection;
+	
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		Log.info("Compute QueryIndex: start");
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		Object s = selection.getFirstElement();
+		if (!(s instanceof Corpus)) return null;
+
+		final Corpus corpus = (Corpus) s;
+		
+		CustomDialog dialog = new CustomDialog(HandlerUtil.getActiveShell(event), corpus);
+		if (dialog.open() == Dialog.CANCEL) return null;
+		final String sprop = dialog.getLemmaProperty();
+		final int fmin = dialog.getFMin();
+		final Query query = dialog.getQuery();
+		
+		System.out.println("Query="+query);
+		System.out.println("Fmin="+fmin);
+		System.out.println("Lemma property="+sprop);
+		
+		JobHandler jobhandler = new JobHandler("Compute Values for query '"+query+"'") {
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				JobsTimer.start();
+				try {
+					Property prop = corpus.getProperty(sprop);
+					ValuesOfQuery result = new ValuesOfQuery(corpus, query, prop, fmin);
+					result.setCurrentMonitor(this);
+					result.compute(new File(System.getProperty("user.home"), "lemma_queries.properties"));
+				} catch (Exception e) {
+					e.printStackTrace();
+				}
+				JobsTimer.stopAndPrint();
+				return Status.OK_STATUS;
+			}
+		};
+		jobhandler.schedule();
+		
+		
+		
+		return null;
+	}
+	
+	class CustomDialog extends Dialog {
+
+		Corpus corpus;
+		Text lemmaField;
+		Spinner spinner;
+		AssistedQueryWidget w;
+		int fmin = 10;
+		String lemmaproperty = "frlemma";
+		String q = "[frpos=\"N.*|ADJ|V.*\"  & frlemma!=\"@card@|être|avoir|faire|pouvoir|devoir|vouloir|falloir|aller|dire|savoir|c'.+|s'.+\"]";
+		
+		protected CustomDialog(Shell parentShell, Corpus corpus) {
+			super(parentShell);
+			this.corpus = corpus;
+		}
+		
+		/* (non-Javadoc)
+		 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
+		 */
+		@Override
+		protected Control createDialogArea(Composite parent) {
+			parent.setLayout(new GridLayout(2, false));
+//			Label l = new Label(parent, SWT.NONE);
+//			l.setText("Lemma property");
+//			l.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
+//			lemmaField = new Text(parent, SWT.BORDER);
+//			lemmaField.setText(lemmaproperty);
+			
+			Label l = new Label(parent, SWT.NONE);
+			l.setText("Query");
+			l.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
+			w = new AssistedQueryWidget(parent, SWT.NONE, corpus);
+			w.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+			w.setText(q);
+			
+			l = new Label(parent, SWT.NONE);
+			l.setText("Fmin");
+			l.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
+			spinner = new Spinner(parent, SWT.BORDER);
+			try {
+				spinner.setMaximum(corpus.getSize());
+			} catch (CqiClientException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+			spinner.setMinimum(0);
+			spinner.setSelection(fmin);
+
+			return parent;
+		}
+		
+		public void okPressed() {
+			if (spinner != null)
+				fmin = spinner.getSelection();
+			if (w != null)
+				q = w.getQueryString();
+			if (lemmaField != null)
+				lemmaproperty = lemmaField.getText();
+			
+			super.okPressed();
+		}
+		
+		int getFMin() {
+			return fmin;
+		}
+		
+		String getLemmaProperty() {
+			return lemmaproperty;
+		}
+		
+		Query getQuery() {
+			return new Query(q);
+		}
+	}
+}

